error_dict = {
    # 커스텀
    901: "해지된 계좌 입니다",
    902: "해지되지 않은 계좌 입니다",
    # 기본 오류코드
    -10000: "알 수 없는 오류 발생. API 호출 중 서버오류가 발생한 경우입니다. 바로빌로 문의바랍니다.",
    -10003: "연동서비스가 점검 중입니다.",
    -10004: "해당 기능은 더 이상 사용되지 않습니다.",
    -10007: "해당 기능을 사용할 수 없습니다.",
    -10005: "최대 100건까지만 사용하실 수 있습니다.",
    -10006: "최대 1000건까지만 사용하실 수 있습니다.",
    -10008: "날짜형식이 잘못되었습니다.",
    -10148: "조회 기간이 잘못되었습니다.",
    -40001: "파일을 찾을 수 없습니다.",
    -40002: "빈 파일입니다(0byte).",
    # 스크래핑 공통
    -51001: "서비스가 신청되지 않았습니다.",
    -51002: "이미 신청되어 있습니다.",
    -51003: "이미 해지되었습니다.",
    -51004: "해지 상태가 아닙니다.",
    -51005: "해지 당월에만 해지 취소할 수 있습니다.",
    -51006: "해지 당월에는 재신청 할 수 없습니다. 해지 취소로 진행해주세요.",
    -51007: "테스트베드는 최대 2개까지만 등록할 수 있습니다.",
    -51008: "이미 수집중입니다.",
    # 연동정보 관련
    -10002: "해당 인증키를 찾을 수 없습니다.",
    -10001: "해당 인증키와 연결된 연계사가 아닙니다.",
    -24005: "사업자번호와 아이디가 맞지 않습니다.",
    -50001: "계좌를 찾을 수 없습니다.",
    -50002: "계좌를 조회할 권한이 없습니다.",
    -50004: "일일 즉시조회 횟수(10회)를 초과하였습니다.",
    -50211: "수집주기가 잘못 입력되었습니다.",
    -50212: "은행 코드가 잘못 입력되었습니다.",
    -50213: "계좌유형이 잘못 입력되었습니다.",
    -50214: "계좌번호가 잘못 입력되었습니다.",
    -50215: "계좌 비밀번호가 잘못 입력되었습니다.",
    -50216: "계좌 비밀번호를 입력하지 않아야하는 은행입니다.",
    -50217: "빠른조회 아이디가 잘못 입력되었습니다.",
    -50218: "빠른조회 아이디를 입력하지 않아야하는 은행입니다.",
    -50219: "빠른조회 비밀번호가 잘못 입력되었습니다.",
    -50220: "빠른조회 비밀번호를 입력하지 않아야하는 은행입니다.",
    -50221: "사업자번호 또는 주민번호(앞6자리)가 잘못 입력되었습니다.",
    -50222: "사업자번호 또는 주민번호(앞6자리)를 입력하지 않아야하는 은행입니다.",
    -50223: "유효한 계좌정보가 아닙니다. 계좌정보를 확인해 주시기 바랍니다.",
    -50224: "계좌정보 검증에 실패하였습니다. 잠시 후 다시 시도해 주시기 바랍니다.",
    -50225: "이미 등록된 계좌번호입니다.",
    -50226: "간편조회(빠른조회)서비스에 등록되지 않은 계좌입니다.",
    -50251: "입출금내역 키(TransRefKey)가 잘못 입력되었습니다.",
    -50252: "계좌 입출금내역을 찾을 수 없습니다."
}


class BarobillBaseError(Exception):
    def __init__(self, code, message=None):
        self.code = int(code)
        self.message = message or error_dict.get(self.code, f"알 수 없는 오류 코드 : {self.code}")

    def __str__(self):
        return self.message


class BarobillAPIError(BarobillBaseError):
    pass


class BarobillError(BarobillBaseError):
    pass
